com.impinj.stp

## Class StpApi.TagModeMetrics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>
      - - com.impinj.stp.StpApi.TagModeMetrics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TagModeMetricsOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TagModeMetrics

      public static final class StpApi.TagModeMetrics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>
      implements StpApi.TagModeMetricsOrBuilder

  Protobuf type `Impinj.STP.TagModeMetrics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TagModeMetrics` | `build()`
    `StpApi.TagModeMetrics` | `buildPartial()`
    `StpApi.TagModeMetrics.Builder` | `clear()`
    `StpApi.TagModeMetrics.Builder` | `clearFailCount()`
    `StpApi.TagModeMetrics.Builder` | `clearPassCount()`
    `StpApi.TagModeMetrics.Builder` | `clearTotalCount()`
    `StpApi.TagModeMetrics.Builder` | `clearVoidCount()`
    `StpApi.TagModeMetrics.Builder` | `clone()`
    `StpApi.TagModeMetrics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `long` | `getFailCount()`
    `long` | `getPassCount()`
    `long` | `getTotalCount()`
    `long` | `getVoidCount()`
    `boolean` | `hasFailCount()`
    `boolean` | `hasPassCount()`
    `boolean` | `hasTotalCount()`
    `boolean` | `hasVoidCount()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TagModeMetrics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TagModeMetrics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TagModeMetrics.Builder` | `mergeFrom(StpApi.TagModeMetrics other)`
    `StpApi.TagModeMetrics.Builder` | `setFailCount(long value)`
    `StpApi.TagModeMetrics.Builder` | `setPassCount(long value)`
    `StpApi.TagModeMetrics.Builder` | `setTotalCount(long value)`
    `StpApi.TagModeMetrics.Builder` | `setVoidCount(long value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### clear

          public StpApi.TagModeMetrics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### clone

          public StpApi.TagModeMetrics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TagModeMetrics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TagModeMetrics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TagModeMetrics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TagModeMetrics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### mergeFrom

          public StpApi.TagModeMetrics.Builder mergeFrom(StpApi.TagModeMetrics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagModeMetrics.Builder>`

    - #### mergeFrom

          public StpApi.TagModeMetrics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagModeMetrics.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTotalCount

          public boolean hasTotalCount()

      Specified by:
        `hasTotalCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### getTotalCount

          public long getTotalCount()

      Specified by:
        `getTotalCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### setTotalCount

          public StpApi.TagModeMetrics.Builder setTotalCount(long value)

    - #### clearTotalCount

          public StpApi.TagModeMetrics.Builder clearTotalCount()

    - #### hasPassCount

          public boolean hasPassCount()

      Specified by:
        `hasPassCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### getPassCount

          public long getPassCount()

      Specified by:
        `getPassCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### setPassCount

          public StpApi.TagModeMetrics.Builder setPassCount(long value)

    - #### clearPassCount

          public StpApi.TagModeMetrics.Builder clearPassCount()

    - #### hasFailCount

          public boolean hasFailCount()

      Specified by:
        `hasFailCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### getFailCount

          public long getFailCount()

      Specified by:
        `getFailCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### setFailCount

          public StpApi.TagModeMetrics.Builder setFailCount(long value)

    - #### clearFailCount

          public StpApi.TagModeMetrics.Builder clearFailCount()

    - #### hasVoidCount

          public boolean hasVoidCount()

      Specified by:
        `hasVoidCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### getVoidCount

          public long getVoidCount()

      Specified by:
        `getVoidCount` in interface `StpApi.TagModeMetricsOrBuilder`

    - #### setVoidCount

          public StpApi.TagModeMetrics.Builder setVoidCount(long value)

    - #### clearVoidCount

          public StpApi.TagModeMetrics.Builder clearVoidCount()